Module java.desktop
Package javax.swing.event

## Class DocumentEvent.EventType

- java.lang.Object
- - javax.swing.event.DocumentEvent.EventType

- Enclosing interface:
    DocumentEvent

      public static final class DocumentEvent.EventType
      extends Object

  Enumeration for document event types

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DocumentEvent.EventType` | `CHANGE` | Change type.
    `static DocumentEvent.EventType` | `INSERT` | Insert type.
    `static DocumentEvent.EventType` | `REMOVE` | Remove type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString​()` | Converts the type to a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSERT

          public static final DocumentEvent.EventType INSERT

      Insert type.

    - #### REMOVE

          public static final DocumentEvent.EventType REMOVE

      Remove type.

    - #### CHANGE

          public static final DocumentEvent.EventType CHANGE

      Change type.

  - ### Method Detail

    - #### toString

          public String toString​()

      Converts the type to a string.
      Overrides:
        `toString` in class `Object`
      Returns:
        the string